package jp.sourceforge.nicoro.swf;

import java.io.IOException;
import java.io.OutputStream;

abstract public class StreamSoundDataBase {

	public int readOffset;

    abstract public int read(byte[] bufferArray, int offset, int bufferLength);

    abstract public void writeData(OutputStream out) throws IOException;
}
